curl --compressed "https://api.coinmetrics.io/v4/reference-data/markets?api_key=<your_key>"{
"data": [
{
"market": "binance-btc-usdt-spot",
"exchange": "binance",
"type": "spot",
"base": "btc",
"quote": "usdt",
"pair": "btc-usdt",
"symbol": "BTCUSDT"
},
{
"market": "binance-1000FLOKIUSDT-future",
"exchange": "binance",
"type": "future",
"base": "floki",
"quote": "usdt",
"pair": "floki-usdt",
"symbol": "1000FLOKIUSDT",
"size_asset": "floki",
"margin_asset": "usdt",
"contract_size": "1000",
"tick_size": "0.00001",
"listing": "2023-05-06T00:00:00.000000000Z",
"order_amount_increment": "1",
"order_amount_min": "1",
"order_amount_max": "10000000",
"order_price_increment": "0.0000100",
"order_price_min": "0.0000100",
"order_price_max": "200",
"order_size_min": "5.0"
},
{
"market": "deribit-BTC-10DEC22-17500-C-option",
"exchange": "deribit",
"type": "option",
"base": "btc",
"quote": "usd",
"pair": "btc-usd",
"symbol": "BTC-10DEC22-17500-C",
"size_asset": "btc",
"strike": "17500",
"option_contract_type": "call",
"is_european": true,
"contract_size": "1",
"listing": "2022-12-08T08:01:00.000000000Z",
"expiration": "2022-12-10T08:00:00.000000000Z",
"settlement_price": "17160.85",
"status": "offline",
"order_amount_min": "0.1",
"order_price_increment": "0.0005",
"order_taker_fee": "0.0003",
"order_maker_fee": "0.0003"
}
],
"next_page_token": "ZGVyaWJpdC1CVEMtMTBERUMyMi0xNzUwMC1QLW9wdGlvbg",
"next_page_url": "https://api.coinmetrics.io/v4/reference-data/markets?api_key=<your_key>&page_size=3&next_page_token=ZGVyaWJpdC1CVEMtMTBERUMyMi0xNzUwMC1QLW9wdGlvbg"
}Reference Data
Markets
Returns a list of markets metadata.
GET
/
reference-data
/
markets
curl --compressed "https://api.coinmetrics.io/v4/reference-data/markets?api_key=<your_key>"{
"data": [
{
"market": "binance-btc-usdt-spot",
"exchange": "binance",
"type": "spot",
"base": "btc",
"quote": "usdt",
"pair": "btc-usdt",
"symbol": "BTCUSDT"
},
{
"market": "binance-1000FLOKIUSDT-future",
"exchange": "binance",
"type": "future",
"base": "floki",
"quote": "usdt",
"pair": "floki-usdt",
"symbol": "1000FLOKIUSDT",
"size_asset": "floki",
"margin_asset": "usdt",
"contract_size": "1000",
"tick_size": "0.00001",
"listing": "2023-05-06T00:00:00.000000000Z",
"order_amount_increment": "1",
"order_amount_min": "1",
"order_amount_max": "10000000",
"order_price_increment": "0.0000100",
"order_price_min": "0.0000100",
"order_price_max": "200",
"order_size_min": "5.0"
},
{
"market": "deribit-BTC-10DEC22-17500-C-option",
"exchange": "deribit",
"type": "option",
"base": "btc",
"quote": "usd",
"pair": "btc-usd",
"symbol": "BTC-10DEC22-17500-C",
"size_asset": "btc",
"strike": "17500",
"option_contract_type": "call",
"is_european": true,
"contract_size": "1",
"listing": "2022-12-08T08:01:00.000000000Z",
"expiration": "2022-12-10T08:00:00.000000000Z",
"settlement_price": "17160.85",
"status": "offline",
"order_amount_min": "0.1",
"order_price_increment": "0.0005",
"order_taker_fee": "0.0003",
"order_maker_fee": "0.0003"
}
],
"next_page_token": "ZGVyaWJpdC1CVEMtMTBERUMyMi0xNzUwMC1QLW9wdGlvbg",
"next_page_url": "https://api.coinmetrics.io/v4/reference-data/markets?api_key=<your_key>&page_size=3&next_page_token=ZGVyaWJpdC1CVEMtMTBERUMyMi0xNzUwMC1QLW9wdGlvbg"
}
